net.i2p.router.web.helpers

## Class WizardHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.WizardHandler

-     public class WizardHandler
      extends FormHandler

  The new user wizard. This handler has request scope (as all FormHandlers must), so it controls the test via the helper, which has session scope.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WizardHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `void` | `setWizardHelper(WizardHelper helper)` Bind the helper (scope session) to this handler (scope request)

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WizardHandler

          public WizardHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setWizardHelper

          public void setWizardHelper(WizardHelper helper)

      Bind the helper (scope session) to this handler (scope request)